function endf = read_endf_pyne2endf(endf)
  % make a PyNE ENDF compatible with legacy nomenclature
  
  pyne_endf_tokens = { ...
   'description       COMMENT',...
   'reference         REF',...
   'format            NFOR',...
   'date_distribution DDATE',...
   'date_release      RDATE',...
   'author            AUTH',...
   'derived           LDRV',...
   'sublibrary        NSUB',...
   'library           NLIB',...
   'energy_max        EMAX',...
   'date              EDATE',...
   'modification      NMOD',...
   'laboratory        ALAB',...
   'identifier        HSUB',...
   'date_entry        ENDATE',...
   'teff              Teff',...
   'temperature       T',...
   'temp              T',...
   'scattering_law    Sab',...
   'ln_S_             LLN',...
   'beta              beta', ...
   'alpha             alpha', ...
   'num_non_principal NS' ...
   };
  for index=1:numel(pyne_endf_tokens)
    line = pyne_endf_tokens{index};
    [pyne_tok, endf_tok] = strtok(line);
    % use our struct.findfield to locate name conversions
    pyne_tok = findfield(endf, strtrim(pyne_tok),'exact case');
    if ~isempty(pyne_tok)
      pyne_tok = char(pyne_tok{1});
      endf = subsasgn(endf,  str2subs([ pyne_tok '/../' strtrim(endf_tok) ]), ...
        subsref(endf, str2subs(  pyne_tok)));
    end
  end
   
  % special tokens that require more logic
  pyne_tok     = 'type'; 
  endf_tok     = 'LTHR';
  pyne_tok = findfield(endf, pyne_tok,'exact case');
  if ~isempty(pyne_tok)
    pyne_tok = char(pyne_tok{1});
    pyne_tok_ref = subsref(endf, str2subs(pyne_tok));
    if strcmp(pyne_tok_ref,'coherent')
      endf = subsasgn(endf, str2subs([ pyne_tok '/../' endf_tok ]), 1);
    elseif strcmp(pyne_tok_ref,'incoherent')
      endf = subsasgn(endf, str2subs([ pyne_tok '/../' endf_tok ]), 1);
    end
  end
   
  pyne_tok     = 'temperature_used'; 
  endf_tok     = 'LAT';
  pyne_tok = findfield(endf, pyne_tok,'exact case');
  if ~isempty(pyne_tok)
    pyne_tok_ref = subsref(endf, str2subs(pyne_tok));
    pyne_tok = char(pyne_tok{1});
    if strcmp(pyne_tok_ref,'0.0253 eV')
      endf = subsasgn(endf, str2subs([ pyne_tok '/../' endf_tok]), 1);
    else
      endf = subsasgn(endf, str2subs([ pyne_tok '/../' endf_tok]), 0);
    end
  end
   
  pyne_tok     = 'symmetric'; 
  endf_tok     = 'LASYM';
  pyne_tok = findfield(endf, pyne_tok,'exact case');
  if ~isempty(pyne_tok)
    pyne_tok = char(pyne_tok{1});
    pyne_tok_ref = subsref(endf, str2subs(pyne_tok));
    endf = subsasgn(endf, str2subs([ pyne_tok '/../' endf_tok]), ~pyne_tok_ref);
  end
   
